fsl (5.0.9-3) neurodebian; urgency=medium

  * Move 'fslview' from a dependency into recommends. It can no longer be
    built in Debian unstable.

 -- Michael Hanke <mih@debian.org>  Fri, 27 May 2016 14:06:02 +0200

fsl (5.0.9-2) neurodebian; urgency=medium

  * debian/fsl.sh - place FSL's bin path first (not the last) within adjusted
    $PATH (Closes: #804881)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 Dec 2015 21:31:21 -0500

fsl (5.0.9-1) neurodebian; urgency=medium

  * New upstream release.
    - Initial release of Verbena -- model-based analysis of perfusion from
      DSC-MRI based on a vascular model
    - randomise has much improved handling of voxelwise regressors
    - dtifit has now the option for correcting for gradient non-linearities
      unhidden
    - select_dwi_vols allows quick extraction of a certain b-shell from DWI
      data
    - bedpostx has a new model, where instead of using a stick kernel to
      represent a fibre compartment, a “zeppelin” axially symmetric tensor
      can be used
    - and more
  * 'eddy' is no longer built as the sources aren't included in the upstream
    release anymore. A new 'fsl-5.0-eddy-nonfree' package is now recommened
    that provides 'eddy'.

 -- Michael Hanke <mih@debian.org>  Fri, 09 Oct 2015 08:15:48 +0200

fsl (5.0.8-5) unstable; urgency=medium

  * Disable unecessary unportable debugging code that breaks on kfreebsd.

 -- Michael Hanke <mih@debian.org>  Fri, 21 Aug 2015 11:43:25 +0200

fsl (5.0.8-4) unstable; urgency=medium

  * Remove versioned dependencies on transitional packages libgd2-(no)xpm-dev
    in favor of a dependency on libgd-dev (Closes: #792291). Thanks to
    Mattia Rizzolo for the report.
  * Add patch to force FSL to use its own modified version of the BWidget
    TCL package. This prevents incompatibility issues if a system-wide
    BWidget installation is found (Closes: #792758). The "fix" forces a
    version requirement on BWidget 1.8 (matches embedded version,
    Debian has 1.9.x as of now). This is not ideal, but a minimally intrusive
    change that achieves the desired behavior. Thanks to Vincent Kersten
    for the report.
  * Move upstream meta data to debian/upstream/metadata.
  * Drop embeded excanvas javascript library in favor of a dependency on
    libjs-excanvas.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Aug 2015 11:30:18 +0100

fsl (5.0.8-3) UNRELEASED; urgency=medium

  * fsl_app_wrapper - wrap $@ into "" to pass arguments correctly into
    original utility

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Mar 2015 08:44:03 -0500

fsl (5.0.8-2) experimental; urgency=medium

  * Include upstream patch to prevent a crash in the FEAT component.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Jan 2015 19:11:28 +0100

fsl (5.0.8-1) unstable; urgency=medium

  * New upstream release.
    - New command 'fslselectvols' to select a (non-contiguous) subset of
      volumes from a 4D image.
    - New '-kernel boxv3' option for fslmaths.
    - New '--minextent' option for cluster.
    - Bugfix for header information of topup output files.
    - FEAT has improved handling of non-fatal error conditions.
    - Bugfix for asl_calib script.
    - Bugfix for missing images in the VIENA report.
    - All FSL scripts now internally set their locale to C.
    - A potential race condition with multiple calls to maskdyads or slices has
      been corrected.
    - FDR now saves adjusted values as 1-p if the input is 1-p.
  * Refresh patches and remove one resolved bashism fix.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Dec 2014 10:39:15 +0100

fsl (5.0.7-4) unstable; urgency=medium

  * Fix FTBFS on kfreebsd: Disable 'stack_dump' component that is "highly
    non-portable" and can be replaced, if necessary, with plain gdb.
  * Fix another bashism in the *monitor script generated by bedpostx.

 -- Michael Hanke <mih@debian.org>  Wed, 23 Jul 2014 08:01:53 +0200

fsl (5.0.7-3) unstable; urgency=medium

  * Improve FSL's build configuration to not treat any non-Linux platform
    as a Mac (Closes: #755356).

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jul 2014 11:36:26 +0200

fsl (5.0.7-2) unstable; urgency=low

  * Add a patch to make randomise_parallel work on systems that do not have
    bash as their default shell (Closes: #693373). Thanks to Philip Chase for
    the patch.
  * Add a patch to honor an unset FSLPARALLEL (do not submit jobs to a
    cluster) even in cases where SGE_ROOT is set (Closes: #685757). Thanks to
    German Gomez-Herrero for the patch.
  * Sanitize PATH and LD_LIBRARY_PATH when sourcing the configuration file.
    Old/duplicate FSL path entries are now removed (Closes: #695257). Thanks
    to Vincent Kersten for the patch.

 -- Michael Hanke <mih@debian.org>  Thu, 17 Jul 2014 15:44:44 +0200

fsl (5.0.7-1) unstable; urgency=medium

  * New upstream release.
    - new component: gps
  * Remove the documentation from the source package due to a number of files
    with unclear origin and license. Consequently, the -doc has been removed
    as well. Upstream confirms that documentation is best consumed from the
    live wiki on the project homepage.
  * Move the -gpu package setup into a patch that can be applied to backports
    to particular releases. The current Debian unstable doesn't have a
    functional nvcc and it is i386 and amd64 only anyway.
  * Cleanup and remove old and merged patches.
  * Bumped Standard version to 3.9.5 -- no changes necessary.

 -- Michael Hanke <mih@debian.org>  Fri, 11 Jul 2014 17:22:13 +0200

fsl (5.0.6-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/control
    - limit build-depends on nvidia-cuda-toolkit only for x86 architectures

  [ Michael Hanke ]
  * Add libpng-dev as an alternative build-dependency to libpng12-dev (Closes:
    #662337).
  * Switch dependencies to plain tcl and tk packages (from tcl8.4/tk8.4).
    This acknowledges the NMU of fsl-4.1 by Sergei Golovan to fix #737187.

 -- Michael Hanke <mih@debian.org>  Mon, 14 Apr 2014 19:00:40 +0200

fsl (4.1.9-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Mar 2014 21:03:23 +0400

fsl (4.1.9-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 31 Jan 2014 22:19:04 +0400

fsl (5.0.6-1) neurodebian; urgency=low

  * New upstream bugfix release:
    - An error with voxelwise regressors in lower-level FEAT introduced in
      FSL 5.0.5 has been fixed. It is stringly recommend to re-run any
      lower-level FEAT analysis that used voxelwise regressors (e.g. PNM)
      generated with FSL 5.0.5.
    - Bugfixes for POSSUM and the ASL GUI.
  * Downgrade -doc dependency on wikiattachments package from recommended
    to suggested.

 -- Michael Hanke <mih@debian.org>  Fri, 01 Nov 2013 18:16:59 +0100

fsl (5.0.5-1) neurodebian; urgency=low

  * New upstream release.
    - Bedpostx is now CUDA capable for GPU-equipped clusters.
    - Bedpostx now has a gradient non-linearity option.
    - Probtrackx2 can now output an ROIxROI network matrix.
    - Several bugfixes for MELODIC.
    - Multishell qboot bugfix.
  * Re-add dependency on fslview and re-add symlinks (originally removed
    in 4.1.9-1).
  * Add new package fsl-5.0-gpu for the new GPU-accelerated FSL tools.
  * Remove doc wiki attachments from the main source tree (grew to 100MB).
    They are now available from the fsldata source package.
  * Fix bug of using relative paths for menu icons.
  * Bumped Standard version to 3.9.4 -- no changes necessary.
  * Update fix-bashisms patch: oxford_asl requires bash.
  * Fix location of FSL docs. Move from transitional package to new one.
  * Add backport patches to disable CUDA support on the Ubuntu platform.
    It seems that an NVIDIA driver is required to install the CUDA toolkit on
    Ubuntu.

 -- Michael Hanke <mih@debian.org>  Wed, 30 Oct 2013 20:33:24 +0100

fsl (5.0.4-3) neurodebian; urgency=low

  * debian/patches
    - enanced up_longoptions= to print -o,--option=VALUE i.e. whenever
      both short and long options are available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Aug 2013 09:07:32 -0400

fsl (5.0.4-2) neurodebian; urgency=low

  * debian/patches
    - added up_longoptions= - print --option=VALUE (instead of --option VALUE)
      in --help output to match expected formatting

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Aug 2013 12:44:51 -0400

fsl (5.0.4-1) neurodebian; urgency=low

  * New upstream release (skipped short-lived 5.0.3):
    - Documentation update
    - Various bugfixes
    - New 'baycest' tool for Bayesian analysis for chemical exchange saturation
      transfer z-spectra
    - New script 'first3Dview' for enabling 3D renderings for new vertex
      analysis results
  * Remove fabber patches -- merged upstream.
  * Use dpkg-buildflags to obtain default compiler flags. This also enables
    various hardening options.
  * Rename 'fsl' to 'fsl-core', 'fsl-5.0' to 'fsl-5.0-core', and 'fsl-doc-5.0'
    to 'fsl-5.0-doc'. See related entry in NEWS for the rational. Appropriate
    transitional dummy packages have been added.
  * Adjusted dependencies to recommend/suggest alternative packages for DICOM
    image conversion and distributed computing.

 -- Michael Hanke <mih@debian.org>  Wed, 08 May 2013 08:38:38 +0200

fsl (5.0.2.2-1) neurodebian; urgency=low

  * New upstream release.
  * Removed fix_imglob patch -- now included upstream.
  * Add patches to fix problems with the fabber component -- courtesy of
    Mark White <mark.white@ucl.ac.uk>
    - was buily without the Oxford ASL forward models
    - --model=xxx --help was broken due to a typo in an #ifdef
  * Improve package description to mention data dependencies for some
    components.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Mar 2013 12:44:10 +0100

fsl (5.0.2-4) neurodebian; urgency=low

  * Removed left-over debug statement that broke fsl_sub again.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-3) neurodebian; urgency=low

  * Modifications of fsl_sub behavior and configuration:
    - Add a configuration option to fsl.sh (FSLCLUSTER_DEFAULT_QUEUE) to
      specify a default queue for job submissions. This can be used to amend
      the default queue selection by resource demands.
    - Fix a bug in the Debian patch where job submission fails when fsl_sub is
      called without -q.
    - Fix a bug to actually honor the FSLCUSTER_MAILOPTS variable when set.
    - Restructure and minimize the upstream diff in fsl_sub to make it less
      likely to break again with future upstream changes.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-2) neurodebian; urgency=low

  * Fix 'imglob' script (courtesy of Matthew Webster) that caused FEAT
    highlevel analyses to fail.
  * Enable OpenMP support for 'eddy' component.
  * Explicitly mention FSL data packages in package description and explain
    where they can be obtained.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.2-1) neurodebian; urgency=low

  * New upstream bugfix release.
  * Updated patch for for new fsl_sub code.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.1-1) neurodebian; urgency=low

  * New upstream bugfix release. It fixes some critical issues with FEAT
    (was crashing) and post-hoc output timecourses in MELODIC.
  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (5.0.0-1) neurodebian; urgency=low

  * New upstream major release. Various new tools, bugfixes and speed
    improvements, as well as new wiki-based documentation.
  * Enable compilation and installation of previously missing and new
    components (Closes: #685486).
  * Added build-dependency on libglu1-mesa-dev and mesa-common-dev for
    fslsurface, as well as libexpatexpat-dev for other new code.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (4.1.9-6) unstable; urgency=low

  * Declare a conflict to pre-4.1.9-5 fsl4.1-doc packages. Otherwise,
    upgrades might fail due to duplicate files .

 -- Michael Hanke <mih@debian.org>  Fri, 08 Jun 2012 07:54:20 +0200

fsl (4.1.9-5) unstable; urgency=low

  * Bugfix release.
  * Bumped Standard version to 3.9.3 -- no changes necessary.
  * Adjustments for Octave transition: changed dependencies in debian/control,
    make call to octave-depends conditional upon its presence to allow for
    easy backports (Closes: #674426)
  * Move fsl.css from -doc into the main package to prevent error message due
    to failed access to this file when the -doc package is not installed.
    (Closes: #675195)

 -- Michael Hanke <mih@debian.org>  Fri, 01 Jun 2012 10:35:16 +0200

fsl (4.1.9-4) unstable; urgency=low

  * Actually do the changes listed for 4.1.9-3. They needed to be implemented
    in the template files.

 -- Michael Hanke <mih@debian.org>  Sat, 17 Mar 2012 10:23:23 +0100

fsl (4.1.9-3) unstable; urgency=low

  * Relax dependency of fsl-doc on fslview-doc to recommends. FSLView is
    no longer available in unstable.

 -- Michael Hanke <mih@debian.org>  Sat, 14 Jan 2012 11:26:18 +0100

fsl (4.1.9-2) unstable; urgency=low

  * Added patch to prevent MATLAB scripts from failing because MATLAB
    redefines LD_LIBRARY_PATH. Courtesy of Duncan Mortimer.
  * Added initial support for using Condor for cluster support instead of
    SGE (FSLPARALLEL=condor).

 -- Michael Hanke <mih@debian.org>  Fri, 16 Dec 2011 19:24:00 +0100

fsl (4.1.9-1) unstable; urgency=low

  * New upstream relase. Merged patches (gdc_bugfix, missing_newline,
    gcc_compat).
  * Make fslview recommended (instead of depend), as it is currently not
    available for post-squeeze systems, due to VTK5-Qt3 dependency.
  * Remove brace expansion in debhelper install file (reported by lintian).

 -- Michael Hanke <mih@debian.org>  Mon, 24 Oct 2011 15:06:03 +0200

fsl (4.1.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * Install README.Debian into the versioned FSL package.
  * Bumped Standard version to 3.9.2 -- no changes necessary.

 -- Michael Hanke <mih@debian.org>  Tue, 17 May 2011 16:45:10 -0400

fsl (4.1.7-1) unstable; urgency=low

  * New upstream bugfix release. Improved TFCE handling in fslmaths. Better
    error detection in randomise. MELODIC now has an option to use a
    user-defined seed. There are a number of minor fixes to FEAT. fslmerge
    now attempts to detect orientation problems during a temporal merge.

 -- Michael Hanke <mih@debian.org>  Wed, 19 Jan 2011 14:19:59 -0500

fsl (4.1.6-5) UNRELEASED; urgency=low

  * Added clarification to the manpage that a .bashrc might not exist and
    would have to be created.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 28 Sep 2010 17:00:39 -0400

fsl (4.1.6-4) unstable; urgency=low

  * Remove /usr/bin symlinks from 'fsl' package and remove now obsolete
    package conflicts (Closes: #592242 again). Instead, the 'fsl-4.1' package
    now installs properly prefixed ('fsl4.1-') symlinks into /usr/bin that do
    not conflict with existing files in any package and, moreover, allow tools
    from multiple FSL versions to coexist on the same system. Any internal FSL
    scripts are unaffected by this change. Adjust manpage and README.Debian to
    document this change, as well as added a NEWS entry.
  * Bumped Standard version to 3.9.1.0 -- no changes necessary.
  * Removed menu integration of 'Nudge' tool to prevent overcrowding of menu
    categories. It is of limited functionality and rarely used.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 03 Sep 2010 09:35:39 -0400

fsl (4.1.6-3) unstable; urgency=low

  * Add package conflict between 'fsl' and 'cyrus-clients-2.2', due to file
    conflict (Closes: #592242). Thanks to Ralf Treinen for detecting.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 08 Aug 2010 12:20:38 -0400

fsl (4.1.6-2) unstable; urgency=low

  * Install package content into version-specific locations to allow multiple
    major FSL release to coexist on the same system (Closes: #546241). The
    previous unversioned 'fsl' package remains and serves as a meta package
    that depends on the latest versioned FSL package and installs wrappers
    for all binaries into /usr/bin that can be used without manually sourcing
    a config file first. This change is based on work by Mark Hymers -- Thanks!
  * Add package conflicts to 'yagiuda', 'kolab-cyrus-clients', 'multimail',
    and 'im' due to namespace conflicts of symlinks in /usr/bin installed by
    the new FSL meta package. The versioned FSL packages are usable without the
    meta package (in case someone installs these packages on a neuroscience
    workstation) and the added convenience of a readily usable FSL (without
    manual environment tweaks) seems to outweigh the disadvantages.
  * Adjust build-dependency on libnifti1-dev to libnifti-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Jul 2010 11:12:30 -0400

fsl (4.1.6-1) unstable; urgency=low

  * New upstream release. Merged various patches with upstream.
    Closes: #581095.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 05 Jul 2010 10:44:16 -0400

fsl (4.1.5.2-3) unstable; urgency=low

  * Switch to source package format 3.0 (quilt). Convert all Git
    feature/bugfix branches into quilt patch series.
  * Remove obsolete dh_desktop call from debian/rules.
  * Add debhelper dependency variables to fsl-doc control stanza.
  * No longer compile with '-Wl,--as-needed' to prevent symbols from
    libcprob to be substituted by external replacements.
  * Updated and extended the package description.
  * Changed maintainer to NeuroDebian. Moved myself into uploaders and
    added Yaroslav Halchenko.
  * Fix syntax error in 'rotate_bvecs' script.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 02 May 2010 19:19:25 -0400

fsl (4.1.5.2-2) unstable; urgency=low

  * Fix broken fslmaths option (-tfce). Thanks to Clark Johnson and Matthew
    Webster.
  * Bumped Standard version to 3.8.4.0 -- no changes necessary.
  * Remove support for octave2.1 dependency and allow for octave3.2.
    Thanks to Thomas Weber for the report (Closes: #572763).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 08:28:38 -0500

fsl (4.1.5.2-1) unstable; urgency=low

  * New upstream service release. Fixes issues with broken FNIRT scripts.
  * Include `fslecho` script in the binary package (Closes: #567133). Thanks to
    Petr Hlustík for reporting.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 28 Jan 2010 09:27:57 -0500

fsl (4.1.5-1) unstable; urgency=low

  * New upstream release.
    * An issue with Randomise "pausing" has been fixed.
    * There are some improvements to the bedpostx monitor script.
    * Large speedup for invwarp by automatically adjusting the useful FOV
      internally (no cropping of the original images needed).
    * Non-linear initialisation in bedpostx to allow better convergence of
      the MCMC chains
    * Some improvements and new options in Probtrackx:
      - allows to input nonlinear (FNIRT) warpfield instead of FLIRT
        matrices
      - bug fix in initial fibre selection
      - tracking from freesurfer cortical surface (into the brain)
      - tracking from random locations within a seed voxel
  * No longer compile with '-ansi -pedantic', since a significant part of the
    sources is actually not ANSI compliant (Closes: #546003).
  * Don't use roundl() to round doubles in src/basisfield/splinefield.cpp to
    prevent FTFBS on ARMEL (Closes: #513272).
  * Bumped Standard version to 3.8.3.0 -- no changes necessary.
  * New config variable FSLPARALLEL. If set, FSL will submit jobs to a running
    Sun Gridengine. By default, this setting is disabled in /etc/fsl/fsl.sh.
    (Closes: #546238). Added suggested package 'gridengine-client'.
    See README.Debian for more information.
  * Remove all menu items of GUI-apps that are directly accessible from the
    central FSL GUI. The menu got too crowded with all the different FSL
    items.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 22 Jan 2010 18:01:24 -0500

fsl (4.1.4-2) unstable; urgency=low

  * Include a number of upstream patches that went into 4.1.4 after the
    4.1.4-1 package got uploaded.
  * Revert from -O3 to -O2 for compiler optimizations. -O3 seems to cause
    trouble for some pieces (miscmaths, avwutils) on some architectures.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 03 Jun 2009 20:52:45 +0200

fsl (4.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed bashisms (Closes: #530084).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 23 May 2009 11:47:34 +0200

fsl (4.1.3-1) unstable; urgency=low

  * New Upstream Version.
  * Reverse the order of the octave*-headers build-dependency alternatives
    to account for the removal of octave2.1-headers from unstable
    (Closes: #523826).
  * Do not build-depend on FSLView anymore. That setup was way to complex and
    error-prone.
  * Bumped Standard version to 3.8.1 -- no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 27 Apr 2009 22:13:12 +0200

fsl (4.1.2-2) unstable; urgency=low

  * Use internals libs compiled by the fslview package, instead of building
    them again from fsl sources.
  * Added 'XS-DM-Upload-Allowed: yes' in debian/control.
  * Install fslio im* scripts.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 07 Feb 2009 10:33:03 +0100

fsl (4.1.2-1) unstable; urgency=low

  * New Upstream Version.
  * Added POSSUM installation directory to environment setup -- it refused to
    work otherwise.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 05 Dec 2008 10:23:08 +0100

fsl (4.1.1-2) unstable; urgency=low

  * Compile and use fslio library version that comes with the FSL sources.
    This fixes a bug when FSL 4.1 is used with ANALYZE images, which it
    cannot reliably do anymore (only NIfTI is supported). Also updated the
    configuration documentation (in /etc/fsl/fsl.sh) accordingly.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 24 Oct 2008 12:27:38 +0200

fsl (4.1.1-1) unstable; urgency=low

  * New Upstream Version fixing a number of bugs in FEAT, FDT and FNIRT.
  * Updated repackaging. Repackaging procedure was changed to keep fslio in
    the package. This version contains more up-to-date scripts than the ones
    in the nifticlibs package.
  * Install im* and tcl scripts from local fslio sources, instead of using the
    (discontinued) ones in the nifticlibs package. Therefore also removing
    dependency to 'nifti-bin'.
  * Do not install installer script -- useless on Debian (Closes: #489596).
  * Remove broken get-orig-source target from debian/rules. The repackaging
    procedure is implemented in the 'repackage-fsl' script shipped with the
    fslview package.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 16 Oct 2008 14:28:34 +0200

fsl (4.1.0-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standard version to 3.8.0 -- no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 14 Aug 2008 13:14:53 +0200

fsl (4.0.4-2) unstable; urgency=low

  * Alternatively use octave3.0-headers (instead of just octave2.1-headers)
    package to determine octave paths.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 May 2008 09:20:29 +0200

fsl (4.0.4-1) unstable; urgency=low

  * New bugfix release.
  * Install missing IRTK configuration, which are not covered by the IRTK
    liccense.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 01 Apr 2008 11:04:19 +0200

fsl (4.0.3-2) unstable; urgency=low

  * Applied upstream patch to fix some problems with boolean commandline
    options.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 09 Feb 2008 13:15:21 +0100

fsl (4.0.3-1) unstable; urgency=low

  * New upstream release. Some bugfixes in bet2 and possum.
  * Removed all fftw-related stuff from the build-dependencies. Apparently it
    is not necessary anymore. Thanks to Paul Brossier for reporting
    (Closes: #460270).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 23 Jan 2008 17:09:38 +0100

fsl (4.0.2-3) unstable; urgency=low

  * Fixed some bugs for GCC 4.3 compatibility.
  * Updated build-dependencies for libnifti transition.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 05 Jan 2008 15:26:59 +0100

fsl (4.0.2-2) unstable; urgency=low

  * Refurbished debian/rules. Now honours 'noopt' and builds with debugging
    symbols by default.
  * Make Debian diff less intrusive by moving more logic into debian/rules.
  * Improve LD_LIBRARY_PATH handling by preventing trailing colons.
  * Let fsl-doc depend on fslview-doc to prevent dangling symlink.
  * Fixed location of lintian override.
  * Updated and completed list of licenses in debian/copyright.
  * Removed empty directories from the fsl-doc package.
  * Placed fsl-doc package in section non-free/doc.
  * Bumped Standard version to 3.7.3 -- no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 21 Dec 2007 10:56:09 +0100

fsl (4.0.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Susan: multiple performance improvements
    - SienaX: bugfix in sienax regarding the -lm option
    - Avwutils: minor fixes to fslmaths and fslsplit
    - Feat5: multiple minor fixes
    - Film: minor fix
    - Flame: bugfix in the multiple-group-variances estimation
    - Fdt: minor changes and fixes
    - Miscvis: fixed Renderstats gui
  * Use new-style Homepage field in debian/control.
  * Replace deprecated 'Source-Version' substvar with 'source:Version' in
    debian/control.
  * Removed executable permissions from all '.gif' files.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 16 Nov 2007 10:13:17 +0100

fsl (4.0.1-3) unstable; urgency=low

  * Added bc and dc to the dependencies.
  * Adjusted package build-deps to new libfftw3-dev package in Debian lenny.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 12 Nov 2007 22:38:01 +0100

fsl (4.0.1-2) unstable; urgency=low

  * Added a lintian override for the Runtcl syntax warning. This file is
    actually a mixed sh and tclsh script.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  5 Sep 2007 22:28:01 +0200

fsl (4.0.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * BET can now store the brain surface in VTK format.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 01 Sep 2007 10:53:23 +0200

fsl (4.0.0-2) unstable; urgency=low

  * Bugfix: fsl_sub made use of non-POSIX operator while interpreter was set
    to /bin/sh. This caused the script to fail on Ubuntu systems that have
    dash as their default shell.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 30 Aug 2007 08:44:46 +0200

fsl (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Repackaged the FSL source tarball due to its size and the mixture of
    licenses and split it into three independent source packages: 'fsl' contains
    all non-free source code, 'fslview' contains FSLView and all other
    DFSG-compliant sources and 'fsldata' contains the arch-independent datasets
    (>900MB).
  * Conflict with old fsl-fslview package and depend on the successor
    'fslview'.
  * Debian diff is now handled with a GIT repository. Build-dependency to
    dpatch is obsolete.
  * All internal libraries are compiled as shared libraries with
    -W,l--no-undefined to be able to detect unresolved symbols that have been
    an issue in the past. This also reduces the size of the binary package
    significantly.
  * FSL now uses libfslio, libniftiio and the im* tools from the corresponding
    Debian packages instead of a compiling a local copy.
  * Added 'dicomnifti' to the list of the suggested packages.
  * Removed obsolete runtime dependency to tix, imagemagick and gnuplot.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 17 Aug 2007 14:38:14 +0200

fsl (3.3.11-2) unstable; urgency=low

  * Removed manpage links of FSL internal cmdline tools to prevent namespace
    conflicts.
  * Disabled FSL developer variables in /etc/fsl/fsl.conf to prevent error
    messages when the file is sourced, but no compiler is installed.
  * Added wrapper script (similar to ssh-argv0) to be able to automatically
    source the FSL configuration on startup. This adds the opportunity to
    include menu and .desktop files.
  * Add proper menu and .desktop files for all FSL GUI applications.
  * Added build-depend on imagemagick to be able to generate a 32x32 icon for
    the FSL menu entries from included artwork.
  * Renamed fsl config file from fsl.conf to fsl.sh. This is done to reduce
    the differences between upstream releases and the Debian package.
    A preinst script was added to move old config files on package upgrades.
    The new behavior is noted in debian/NEWS.
  * Added XS-Vcs-Svn and XS-Vcs-Browser to debian/control.
  * Added comments about the CEPHES and Susan licensing to debian/copyright.
  * Added a link to the FSLView binary to /usr/share/fsl/bin, because Nudge
    was complaining about not beeing able to find it. Thanks to Yaroslav
    Halchenko for pointing at this issue.
  * Added manpage for fslview.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 01 May 2007 19:53:06 +0200

fsl (3.3.11-1) unstable; urgency=low

  * New upstream release. Fixes another minor randomize bug.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 31 Mar 2007 19:32:42 +0200

fsl (3.3.10-1) unstable; urgency=low

  * New upstream release. Fixes a bug in randomise.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 16 Mar 2007 18:38:08 +0100

fsl (3.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 16 Feb 2007 13:03:14 +0100

fsl (3.3.8-1) unstable; urgency=low

  * New upstream release.
  * Minor bugfixes fixes to avwmerge++ and avwmaths++.
  * Modified FSLView makefile to fix FTBFS due to missing fslio linrary.
  * Added debian/backports to the source package. It contains a patch that
    disables the fslview package when backporting to sarge using pbuilder-ssh.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 12 Jan 2007 10:42:06 +0100

fsl (3.3.7-3) unstable; urgency=low

  * Added missing changelog entries for 3.3.7-2.
  * Renamed the fsl-sbrain package to fsl-data.
  * Added missing licenses to debian/copyright.
  * Moved default FEAT configuration to /etc/fsl.
  * Temporarily added libvtk5-qt3 to the build-depends to work-around
    bug #389521.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 30 Oct 2006 11:02:14 +0100

fsl (3.3.7-2) unstable; urgency=low

  * Include FSLView docs in the fsl-doc package.
  * Added patch to fix FTBFS due to an issue with template instantiation.
    Thanks to Yaroslav Halchenko.
  * Minor enhancement for FSLView compilation (force Qt3 with Qt4 also
    present).
  * Fixed missing example_FA_target in $FSLDIR/etc/standard.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat,  9 Sep 2006 09:51:41 +0200

fsl (3.3.7-1) unstable; urgency=low

  * New upstream release.
  * Added FSLView package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 30 Jul 2006 13:56:52 +0200

fsl (3.3.6-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2; no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon,  3 Jul 2006 21:37:31 +0200

fsl (3.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 18 Jun 2006 08:18:51 +0200

fsl (3.3.5-2) unstable; urgency=low

  * Added patch for gcc4.1 compatibility (Thanks to Mark Jenkinson).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 10 Jun 2006 09:02:11 +0200

fsl (3.3.5-1) unstable; urgency=low

  * New upstream release

 -- Michael Hanke <michael.hanke@gmail.com>  Tue,  2 May 2006 09:32:13 +0200

fsl (3.3.4-1) unstable; urgency=low

  * New upstream release (missed 3.3.3). FSLView source code is now included,
    but FSLView still cannot be build, because it build-depends on VTK 5.0.
    No Debian package of this version is currently available.
  * Added build conflict to libnifti0-dev. FSL sources contain an incompatible
    fork of this library. This situation should vanish with the next major
    release.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 26 Apr 2006 10:51:08 +0200

fsl (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Moved all binaries to /usr/lib/fsl after experiencing name clashes with
    other packages.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 11 Apr 2006 16:20:27 +0200

fsl (3.3.0-1) unstable; urgency=low

  * New upstream version.
  * Split standard space brain data into a separate package.
  * Made matlab m-files available for Octave.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 18 Mar 2006 23:56:31 +0100

fsl (3.2beta-4) unstable; urgency=low

  * Added the possibility to define additional compiler flags for
    arch-dependend optimization by defining them in the DEB_ARCH_OPT_FLAGS
    environment variable.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 23 Feb 2006 20:50:57 +0100

fsl (3.2beta-3) unstable; urgency=low

  * Split the dpatch patches into several smaller parts.
  * Added patches to replace most of the deprecated headers.
  * Improved patch to FAST for GCC4 compatiility.
  * Removed libcprob and newran from the tarball, since they are unnecessary
    for building FSL.
  * Added patch to libvis that makes it possible to use a dependency to the
    official Debian libgdchart-gd2 package instead of compiling the custom
    version from the FSL source tarball.
  * Switch package dependency for newmat to a package that provides a shared
    library (Thanks to Philippe Coval).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 19 Feb 2006 22:05:24 +0100

fsl (3.2beta-2) unstable; urgency=low

  * Added build-dependency to libnewmat10-dev and stopped compiling the
    included version.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon,  2 Jan 2006 14:46:14 +0100

fsl (3.2beta-1) unstable; urgency=low

  * Initial Release (Closes: #332666).
  * Upstream tarball was repackaged, because it contained lots of binaries of
    software available as proper Debian packages (see get-orig-source target
    in debian/rules).
  * Includes some fixes for compatibility with GCC4 (thanks to Andre Piel).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 28 Dec 2005 17:11:34 +0100

